WAVPACK(1)

NAME
wavpack - encode wav files to wavpack

SYNOPSIS

wavpack [-options] INFILE... [-o OUTFILE]

DESCRIPTION

wavpack encodes the specified source file(s) into WavPack files using the options provided. The source files may be uncompressed WAV files, existing WavPack files, or raw PCM data. The resulting filename will be source-name.wv unless overridden with the -o switch. Multiple input files may be specified resulting in multiple WavPack files, and in that case -o may be used to specify an alternate target directory. Stdin and stdout may be specified with “-”. In the case of transcoding from existing WavPack files, all tags are copied (and may be modified with additional args) and unless an alternate name or directory is specified, the source files are safely overwritten. To decode WavPack files back to wav or raw PCM use the wvunpack program.

OPTIONS

-a
    Adobe Audition (CoolEdit) mode for 32-bit floats

--allow-huge-tags
    allow tag data up to 16 MB (embedding > 1 MB is not recommended for portable devices and may not work with some programs including WavPack pre-4.70)

-bn
    enable hybrid compression, n = 2.0 to 23.9 bits/sample, or n = 24-9600 kbits/second (kbps)

--blocksize=n
    specify block size in samples (max = 131072 and min = 16 with --merge-blocks, otherwise 128)

-c
    create correction file (.wvc) for hybrid mode (results in 2-file lossless compression)

-cc
    maximum hybrid compression (hurts lossy quality & decode speed)

--channel-order=list
    specify (comma separated) channel order if not Microsoft standard (which is FL,FR,FC,LFE,BL,BR,LC,FRC,BC,SL,SR,TC,TFL,TFC,TFR,TBL,TBC,TBR); specify “...” to indicate that channels are not assigned to specific speakers, or terminate list with “...” to indicate that any channels beyond those specified are unassigned

-d
    delete source file if successful (use with caution!)

-f
    fast mode (fast, but some compromise in compression ratio)

-h
    high quality (better compression ratio, but slower encode and decode than default mode)

-hh
    very high quality (best compression, but slowest and NOT recommended for use on portable playback devices)

--help
    display extended help

-i
    ignore length in wav header (no pipe output allowed)

-jn
    joint-stereo override (0 = left/right, 1 = mid/side)

-m
    compute & store MD5 signature of raw audio data

--merge-blocks
    merge consecutive blocks with equal redundancy (used with --blocksize option and is useful for files generated by the lossyWAV program or decoded HDCD files)

-n
    calculate average and peak quantization noise (hybrid only, reference fullscale sine)

--no-utf8-convert
    don't recode passed tags from local encoding to UTF-8, assume they are in UTF-8 already

-o OUTFILE
    specify output filename (only if single source file) or target directory (must exist)

--optimize-mono
    optimization for stereo files that are really mono (result may be incompatible with very old decoders)

-p
    practical float storage (also 32-bit ints, no longer technically lossless)

--pair-unassigned-chans
    encode unassigned channels into stereo pairs

-q
    quiet (keep console output to a minimum)

-r
    generate a new RIFF WAV header (any extra RIFF info in original file will be discarded)

--raw-pcm
    intput data is raw pcm (44,100 Hz, 16-bit, 2-channels)

--raw-pcm=sr,bits,chans
    intput data is raw pcm with specified sample-rate, bit-depth, and number of channels (specify 32f for 32-bit floating point data)

-sn
    override default hybrid mode noise shaping where n is a float value between -1.0 and 1.0; negative values move noise lower in freq, positive values move noise higher in freq, use 0 for no shaping (white noise)

-t
    copy input file's time stamp to output file(s)

--use-dns
    force use of dynamic noise shaping (hybrid mode only)

-v
    verify output file integrity after write (not for piped output)

--version
    write program version to stdout

-w “Field=Value”
    write specified text metadata to APEv2 tag

-w “Field=@file.ext”
    write specified text metadata from file to APEv2 tag, normally used for embedded cuesheets and logs (field names “Cuesheet” and “Log”)

--write-binary-tag “Field=@file.ext”
    write the specified binary metadata file to APEv2 tag, normally used for cover art with the specified field name “Cover Art (Front)”

-x[n]
    extra encode processing (optional n = 1 to 6, 1=default), -x1 to -x3 to choose best of predefined filters, -x4 to -x6 to generate custom filters (very slow!)

-y
    yes to all warnings (use with caution!)

-z
    don't set console title to indicate progress (prevents console from staying "WavPack Completed")

SEE ALSO

wvunpack(1), wvgain(1)

Please visit www.wavpack.com for more information

COPYRIGHT

This manual page was written by Sebastian Dröge slomo@debian.org and David Bryant david@wavpack.com. Permission is granted to copy, distribute and/or modify this document under the terms of the BSD License.

AUTHORS

Sebastian Dröge <slomo@debian.org>
    Original author

David Bryant <david@wavpack.com>
    Updates

COPYRIGHT
Copyright © 2005 Sebastian Dröge
Copyright © 2013 David Bryant